import createMaterialIcon from '../createMaterialIcon.js';

const pathData = {
  regular: {
    "100": "M216-186v-588h22v588h-22Zm506 0v-283H364v-22h358v-283h22v588h-22Z",
    "200": "M203.08-180v-600h30.77v600h-30.77Zm523.07 0v-284.62h-372.3v-30.76h372.3V-780h30.77v600h-30.77Z",
    "300": "M181.54-170v-620h45.38v620h-45.38Zm551.54 0v-287.31H336.92v-45.38h396.16V-790h45.38v620h-45.38Z",
    "400": "M160-160v-640h60v640h-60Zm580 0v-290H320v-60h420v-290h60v640h-60Z",
    "500": "M155.93-155.93v-648.14h68.14v648.14h-68.14Zm580 0v-290H324.07v-68.14h411.86v-290h68.14v648.14h-68.14Z",
    "600": "M150.39-150.39v-659.22h79.22v659.22h-79.22Zm580 0v-290H329.61v-79.22h400.78v-290h79.22v659.22h-79.22Z",
    "700": "M143-143v-674h94v674h-94Zm580 0v-290H337v-94h386v-290h94v674h-94Z"
  }
};
const FormatTextClipW100 = createMaterialIcon("format_text_clip", pathData.regular[100]);
const FormatTextClipW200 = createMaterialIcon("format_text_clip", pathData.regular[200]);
const FormatTextClipW300 = createMaterialIcon("format_text_clip", pathData.regular[300]);
const FormatTextClipW400 = createMaterialIcon("format_text_clip", pathData.regular[400]);
const FormatTextClipW500 = createMaterialIcon("format_text_clip", pathData.regular[500]);
const FormatTextClipW600 = createMaterialIcon("format_text_clip", pathData.regular[600]);
const FormatTextClipW700 = createMaterialIcon("format_text_clip", pathData.regular[700]);
const FormatTextClipFillW100 = createMaterialIcon("format_text_clip", pathData.regular[100]);
const FormatTextClipFillW200 = createMaterialIcon("format_text_clip", pathData.regular[200]);
const FormatTextClipFillW300 = createMaterialIcon("format_text_clip", pathData.regular[300]);
const FormatTextClipFillW400 = createMaterialIcon("format_text_clip", pathData.regular[400]);
const FormatTextClipFillW500 = createMaterialIcon("format_text_clip", pathData.regular[500]);
const FormatTextClipFillW600 = createMaterialIcon("format_text_clip", pathData.regular[600]);
const FormatTextClipFillW700 = createMaterialIcon("format_text_clip", pathData.regular[700]);

export { FormatTextClipFillW100, FormatTextClipFillW200, FormatTextClipFillW300, FormatTextClipFillW400, FormatTextClipFillW500, FormatTextClipFillW600, FormatTextClipFillW700, FormatTextClipW100, FormatTextClipW200, FormatTextClipW300, FormatTextClipW400, FormatTextClipW500, FormatTextClipW600, FormatTextClipW700 };
